> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Prop Trader Payout Options

> Lists the caller's eligible bank accounts, verified USD-stablecoin wallet routes, current preference and FX markup.

Not available to API keys.

## OpenAPI

````yaml api-reference/openapi.json GET /hris/get-prop-trader-payout-options
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /hris/get-prop-trader-payout-options:
    get:
      operationId: getPropTraderPayoutOptions
      summary: Get Prop Trader Payout Options
      description: >-
        Lists the caller's eligible bank accounts, verified USD-stablecoin
        wallet routes, current preference and FX markup.


        Not available to API keys.
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetPropTraderPayoutOptionsResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    GetPropTraderPayoutOptionsResponse:
      type: object
      properties:
        preference:
          type:
            - object
            - 'null'
          properties:
            method:
              type: string
              enum:
                - BANK_TRANSFER
                - CRYPTO_WALLET
            cryptoTokenTypeID:
              type:
                - string
                - 'null'
            cryptoOrgNetworkID:
              type:
                - string
                - 'null'
            bankAccountID:
              type:
                - string
                - 'null'
            updatedAt:
              type: string
          required:
            - method
            - cryptoTokenTypeID
            - cryptoOrgNetworkID
            - bankAccountID
            - updatedAt
        hasEligibleBankAccount:
          type: boolean
        bankAccounts:
          type: array
          items:
            type: object
            properties:
              hrisBankAccountId:
                type: string
              currencyCode:
                type:
                  - string
                  - 'null'
              bankName:
                type:
                  - string
                  - 'null'
              accountNumberLastFour:
                type:
                  - string
                  - 'null'
              isPrimary:
                type: boolean
            required:
              - hrisBankAccountId
              - currencyCode
              - bankName
              - accountNumberLastFour
              - isPrimary
        walletRoutes:
          type: array
          items:
            type: object
            properties:
              tokenTypeID:
                type: string
              orgNetworkID:
                type: string
              tokenLabel:
                type: string
              networkLabel:
                type: string
              walletLabel:
                type: string
              walletAddress:
                type: string
            required:
              - tokenTypeID
              - orgNetworkID
              - tokenLabel
              - networkLabel
              - walletLabel
              - walletAddress
        fxDisclosure:
          type: object
          properties:
            markupBps:
              type: integer
          required:
            - markupBps
      required:
        - preference
        - hasEligibleBankAccount
        - bankAccounts
        - walletRoutes
        - fxDisclosure
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
